<?php

namespace App\Http\Requests\Shop;

use Illuminate\Foundation\Http\FormRequest;

class StoreOrderPost extends FormRequest
{
    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'invoice.invoice_address_id' => 'required',
            'delivery_id' => 'required',
            'payment_type' => 'required',
            'agree' => 'required',
        ];
    }

    public function messages()
    {
        return [
            'delivery_id.required' => 'Il est nécessaire de choisir un mode de livraison',
            'payment_type.required' => 'Il est nécessaire de choisir un mode de paiement',
            'agree.required' => 'Il est nécessaire d\'adhérer à nos conditions de vente',
        ];
    }
}
